namespace 数据迁移.Migrations
{
    using System;
    using System.Data.Entity.Migrations;

    /// <summary>
    /// 数据迁移版本：v1版
    /// </summary>
    public partial class v1 : DbMigration
    {
        //版本升级
        public override void Up()
        {
            //我们并不是想创建表
            //CreateTable(
            //    "dbo.V_Student",
            //    c => new
            //        {
            //            Id = c.Int(nullable: false, identity: true),
            //            Name = c.String(),
            //            First_Name = c.String(),
            //        })
            //    .PrimaryKey(t => t.Id);

            //而是想创建视图
            Sql("create view V_Student as select id,name,substring(name,1,1) first_name from student");
            
        }

        //版本降级
        public override void Down()
        {
            //我们并不是想删除表
            //DropTable("dbo.V_Student");

            //而是想删除视图
            Sql("drop view V_Student");
        }
    }
}
